var system=require("../../system")
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');
class SloganpictureCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(SloganpictureCtl));
     //this.appS=system.getObject("service.appSve");
   }

   async  findById(q,oid){
      return super.findById(Number(oid.id));
   }
  //  async  findAll(q,oid){
  //    var rd=await this.service.findAll();
  //    return system.getResult2(rd,null);
  //     return super.findById(Number(oid.id));
  //  }
}
module.exports=SloganpictureCtl;
